CRUNCHIDE(1)

NAME
crunchide - hides symbol names from ld, for crunching programs together

SYNOPSIS
crunchide [-f keep-list-file] [-k keep-symbol] [object-file ...]

DESCRIPTION
The crunchide utility hides the global symbols of object-file such that they are ignored by subsequent runs of the linker, ld(1). Some symbols may be left visible via the -k keep-symbol and -f keep-list-file options. The keep-list-file must contain a list of symbols to keep visible, one symbol per line. The names given by keep-symbol or in keep-list-file should be C names. For example, to keep the C function “foo” visible, the option “-k foo” should be used.

The crunchide utility is designed as a companion program for crunchgen(1), which automates the process of creating crunched binaries from multiple component programs.

SEE ALSO
crunchgen(1), ld(1)

AUTHORS
-nosplit The crunch utility was written by James da Silva <jds@cs.umd.edu>.

Copyright (c) 1994 University of Maryland. All Rights Reserved.

Chris Demetriou <cgd@netbsd.org> reorganized crunchide so that it supported multiple object formats, and added ELF object support and ECOFF object recognition.

Copyright (c) 1997 Christopher G. Demetriou. All Rights Reserved.